/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include <qaction.h>
#include "Claro.hpp"

void HelloWorld::buttonHelp_clicked()
{
  tlHello->setText("Pressed Help");
}

void HelloWorld::setup_gui()
{
  std::vector<QAction *> menu_items;

  // Build a menu item for the main menu
  QAction * mAction = new QAction(this);
  mAction->setText("Hello Widget");
  mAction->setMenuText("Hello");
  mAction->setStatusTip("Display the Hello World Widget");
  mAction->setToolTip("Display the Hello World Widget");

  menu_items.push_back(mAction);

  // Connect a menu activated signal with a slot
  QObject::connect(mAction, SIGNAL(activated()), SLOT(show_widget()));

  // Get a pointer to Claro
  Claro *gui = Claro::instance();
  gui->add_to_menu("Hello", menu_items, "helloworld");
}

void HelloWorld::remove_gui()
{
  // Get a pointer to Claro
  Claro *gui = Claro::instance();
  gui->remove_menu_items("helloworld");
}

void HelloWorld::show_widget()
{
  show();
}